For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DASHBOARDPLAYGROUNDDOCSCOMMUNITYLOG IN
Guides and conceptsAPI ReferenceRelease NotesLLMUCookbooks
Guides and conceptsAPI ReferenceRelease NotesLLMUCookbooks
  • Cohere API
    • About
    • Teams and Roles
    • Errors
    • Migrating From API v1 to API v2
    • Using the OpenAI SDK
  • Endpoints
  • Deprecated
      • GETList Connectors
      • POSTCreate a Connector
      • GETGet a Connector
      • PATCHUpdate a Connector
      • DELDelete a Connector
      • POSTAuthorize with oAuth
LogoLogodocs
DASHBOARDPLAYGROUNDDOCSCOMMUNITYLOG IN
Deprecatedv1/connectors

List Connectors

Deprecated
GET
https://api.cohere.com/v1/connectors
GET
/v1/connectors
1import cohere
2
3co = cohere.Client()
4response = co.connectors.list()
5print(response)
1{
2 "connectors": [
3 {
4 "id": "salesforce-integration-01",
5 "name": "Salesforce CRM Connector",
6 "created_at": "2024-04-10T14:22:00Z",
7 "updated_at": "2024-04-12T08:15:00Z",
8 "organization_id": "org_9f8e7d6c5b4a3210",
9 "description": "Connector to integrate Salesforce CRM data for customer insights.",
10 "url": "https://api.salesforce.com/v1/documents/search",
11 "excludes": [
12 "internal_notes"
13 ],
14 "auth_type": "oauth",
15 "oauth": {
16 "client_id": "sf-client-1234567890",
17 "client_secret": "encrypted-secret-value",
18 "authorize_url": "https://login.salesforce.com/services/oauth2/authorize",
19 "token_url": "https://login.salesforce.com/services/oauth2/token",
20 "scope": "api refresh_token"
21 },
22 "auth_status": "valid",
23 "active": true,
24 "continue_on_failure": true
25 }
26 ],
27 "total_count": 1
28}
Returns a list of connectors ordered by descending creation date (newer first). See ['Managing your Connector'](https://docs.cohere.com/docs/managing-your-connector) for more information.
Was this page helpful?
Previous

Create a Connector

Next
Built with

Returns a list of connectors ordered by descending creation date (newer first). See ‘Managing your Connector’ for more information.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

X-Client-NamestringOptional
The name of the project that is making the request.

Query parameters

limitdoubleOptionalDefaults to 30

Maximum number of connectors to return [0, 100].

offsetdoubleOptionalDefaults to 0

Number of connectors to skip before returning results [0, inf].

Response

OK
connectorslist of objects
total_countdouble
Total number of connectors.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
429
Too Many Requests Error
498
Invalid Token Error
499
Client Closed Request Error
500
Internal Server Error
501
Not Implemented Error
503
Service Unavailable Error
504
Gateway Timeout Error